#   File:       ChromaKeyMovie.make
#   Target:     ChromaKeyMovie
#   Sources:    :Sources:windows.c
#               :Sources:start.c
#               :Sources:moviecontrol.c
#               :Sources:menu.c
#               :Sources:eventloop.c
#               :Sources:doevent.c
#               :Sources:ChromaKeyMovie.r
#   Created:    Friday, October 6, 1995 01:07:58 PM


MAKEFILE     = ChromaKeyMovie.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     =
Sym68K      = 
ObjDir68K   = :Objects:

COptions     = {Includes} {Sym68K} -mc68020 

Objects68K  = 
		"{ObjDir68K}windows.c.o" 
		"{ObjDir68K}start.c.o" 
		"{ObjDir68K}moviecontrol.c.o" 
		"{ObjDir68K}menu.c.o" 
		"{ObjDir68K}eventloop.c.o" 
		"{ObjDir68K}doevent.c.o"


ChromaKeyMovie  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c '????' 
		"{Libraries}Runtime.o" 
		"{Libraries}Interface.o"


ChromaKeyMovie  {MondoBuild} :Sources:ChromaKeyMovie.r
	Rez :Sources:ChromaKeyMovie.r -o {Targ} {Includes} -append


"{ObjDir68K}windows.c.o"  {MondoBuild} :Sources:windows.c
	{C} :Sources:windows.c -o {Targ} {COptions}

"{ObjDir68K}start.c.o"  {MondoBuild} :Sources:start.c
	{C} :Sources:start.c -o {Targ} {COptions}

"{ObjDir68K}moviecontrol.c.o"  {MondoBuild} :Sources:moviecontrol.c
	{C} :Sources:moviecontrol.c -o {Targ} {COptions}

"{ObjDir68K}menu.c.o"  {MondoBuild} :Sources:menu.c
	{C} :Sources:menu.c -o {Targ} {COptions}

"{ObjDir68K}eventloop.c.o"  {MondoBuild} :Sources:eventloop.c
	{C} :Sources:eventloop.c -o {Targ} {COptions}

"{ObjDir68K}doevent.c.o"  {MondoBuild} :Sources:doevent.c
	{C} :Sources:doevent.c -o {Targ} {COptions}

