#   File:       ChromaKeyMovieFAT.make
#   Target:     ChromaKeyMovieFAT
#   Sources:    :Sources:ChromaKeyMovieFAT.r
#               :Sources:ChromaKeyMovie.r
#               :Sources:windows.c
#               :Sources:start.c
#               :Sources:moviecontrol.c
#               :Sources:menu.c
#               :Sources:eventloop.c
#               :Sources:doevent.c
#   Created:    Friday, October 6, 1995 01:20:03 PM


MAKEFILE     = ChromaKeyMovieFAT.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     =
SymPPC      = 
ObjDirPPC   = :ObjectsPPC:
Sym68K      = 
ObjDir68K   = :Objects68K:

PPCCOptions  = {Includes} {SymPPC} -w conformance -appleext on 

COptions     = {Includes} {Sym68K} 

ObjectsPPC  = 
		"{ObjDirPPC}windows.c.x" 
		"{ObjDirPPC}start.c.x" 
		"{ObjDirPPC}moviecontrol.c.x" 
		"{ObjDirPPC}menu.c.x" 
		"{ObjDirPPC}eventloop.c.x" 
		"{ObjDirPPC}doevent.c.x"

Objects68K  = 
		"{ObjDir68K}windows.c.o" 
		"{ObjDir68K}start.c.o" 
		"{ObjDir68K}moviecontrol.c.o" 
		"{ObjDir68K}menu.c.o" 
		"{ObjDir68K}eventloop.c.o" 
		"{ObjDir68K}doevent.c.o"


ChromaKeyMovieFAT  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c '????' 
		-mf 
		"{SharedLibraries}"InterfaceLib 
		"{SharedLibraries}"StdCLib 
		"{SharedLibraries}"QuickTimeInterfacesLib 
		"{PPCLibraries}"MathLib.xcoff 
		"{PPCLibraries}"StdCRuntime.o 
		"{PPCLibraries}"PPCCRuntime.o 
		"{PPCLibraries}"PPCToolLibs.o 
		-librename MathLib.xcoff=MathLib 
		-weakLib QuickTimeLib


ChromaKeyMovieFAT  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c '????' 
		"{Libraries}Runtime.o" 
		"{Libraries}Interface.o"


ChromaKeyMovieFAT  {MondoBuild} :Sources:ChromaKeyMovieFAT.r
	Rez :Sources:ChromaKeyMovieFAT.r -o {Targ} {Includes} -append

ChromaKeyMovieFAT  {MondoBuild} :Sources:ChromaKeyMovie.r
	Rez :Sources:ChromaKeyMovie.r -o {Targ} {Includes} -append


"{ObjDirPPC}windows.c.x"  {MondoBuild} :Sources:windows.c
	{PPCC} :Sources:windows.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}start.c.x"  {MondoBuild} :Sources:start.c
	{PPCC} :Sources:start.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}moviecontrol.c.x"  {MondoBuild} :Sources:moviecontrol.c
	{PPCC} :Sources:moviecontrol.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}menu.c.x"  {MondoBuild} :Sources:menu.c
	{PPCC} :Sources:menu.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}eventloop.c.x"  {MondoBuild} :Sources:eventloop.c
	{PPCC} :Sources:eventloop.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}doevent.c.x"  {MondoBuild} :Sources:doevent.c
	{PPCC} :Sources:doevent.c -o {Targ} {PPCCOptions}


"{ObjDir68K}windows.c.o"  {MondoBuild} :Sources:windows.c
	{C} :Sources:windows.c -o {Targ} {COptions}

"{ObjDir68K}start.c.o"  {MondoBuild} :Sources:start.c
	{C} :Sources:start.c -o {Targ} {COptions}

"{ObjDir68K}moviecontrol.c.o"  {MondoBuild} :Sources:moviecontrol.c
	{C} :Sources:moviecontrol.c -o {Targ} {COptions}

"{ObjDir68K}menu.c.o"  {MondoBuild} :Sources:menu.c
	{C} :Sources:menu.c -o {Targ} {COptions}

"{ObjDir68K}eventloop.c.o"  {MondoBuild} :Sources:eventloop.c
	{C} :Sources:eventloop.c -o {Targ} {COptions}

"{ObjDir68K}doevent.c.o"  {MondoBuild} :Sources:doevent.c
	{C} :Sources:doevent.c -o {Targ} {COptions}

